Skip to main content
POST
/
consumer-loan-quotes
Generate a consumer loan quote
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/consumer-loan-quotes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "productCode": "<string>",
  "requestedAmount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "tenorMonths": 123,
  "currency": "<string>",
  "riskScore": 123
}
'
{
  "quoteId": "clq_01JQ9MNVHN7M56YTFAR75W3Y24",
  "productCode": "CL.PERSONAL.STANDARD",
  "requestedAmount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "tenorMonths": 36,
  "apr": 10.9,
  "monthlyInstallment": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "totalPayable": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
productCode
string
required
requestedAmount
object
required
tenorMonths
integer
required
currency
string
required
riskScore
number

Response

Quote generated

quoteId
string
Example:

"clq_01JQ9MNVHN7M56YTFAR75W3Y24"

productCode
string
Example:

"CL.PERSONAL.STANDARD"

requestedAmount
object
tenorMonths
integer
Example:

36

apr
number<double>
Example:

10.9

monthlyInstallment
object
totalPayable
object
expiresAt
string<date-time>